By

Dashboard Plugin Search Filter?

How many times have you added or searched for a WordPress plugin direct from the admin area of your blog? Well this is a great new feature which has been added to WordPress. As well as themes, plugins can now be installed directly from the admin dashboard. No more do you have the install cycle of download, unpack, upload, and activate of themes/plugins (you can still do it this way of course if you wish)!

One feature that would be very useful when adding new plugins direct from the admin area is the ability to filter out plugins that are not officially compatible with the version of WordPress you are running. If you attempt to add such a plugin you will get a warning that it may not be compatible as shown below.

It is a little annoying when you see a plugin from the list that looks ideal for your needs only to find it is incompatible when you try and install it, arrgghh.. You can go ahead and install anyway, or decline. The plugin may very well be fine with the current version it probably just means that the plugin has not been updated for some time and doesn’t overlap with the new release of WordPress.

I think having a filter to block out plugins that are not compatible with your WordPress version would be a good idea as it would encourage developers to keep their plugins up to date. If this option was set to filter out old plugins by default then they would not appear in the returned plugin search results. I know as a plugin developer it would certainly keep me on my toes if I wanted my plugin to stay visible (which I do!).

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>